'From Smalltalk/X, Version:2.6.4 on 27-Apr-1993 at 20:02:37'!

Object subclass:#Project
         instanceVariableNames:'name changeSet views'
         classVariableNames:'CurrentProject'
         poolDictionaries:''
         category:'System-Support'
!

!Project class methodsFor:'accessing'!

current
    ^ CurrentProject

    "Project current"
!

current:aProject
    CurrentProject := aProject
! !

!Project class methodsFor:'instance creation'!

new
    |newProject|

    newProject := self basicNew.
    newProject views:(OrderedCollection new).
    newProject name:'a new Project'.
    newProject changeSet:(ChangeSet new).
    ^ newProject
! !

!Project class methodsFor:'initialization'!

initialize
    CurrentProject isNil ifTrue:[
        CurrentProject := self new name:'System'
    ]

    "Project initialize"
! !

!Project methodsFor:'accessing'!

views
    ^ views
!

views:aSetOfViews
    views := aSetOfViews
!

addView:aView
    views add:aView
!

removeView:aView
    views remove:aView ifAbsent:[]
!

changeSet
    ^ changeSet
!

changeSet:aChangeSet
    changeSet := aChangeSet
!

name
    ^ name
!

name:aString
    name := aString
! !

Project initialize!
